import { _ as __assign } from '../tslib.es6-a941f97f.js';
import { jsx } from 'react/jsx-runtime';
import Check from '@material-ui/icons/Check';
import { Checkbox } from '@material-ui/core';
import RemoveIcon from '@material-ui/icons/Remove';
import { makeStyles } from '@material-ui/core/styles';
import { c as clsx } from '../clsx.m-6243b874.js';

var useStyle = makeStyles({
    icon: {
        borderRadius: '3px',
        fontSize: '2rem',
    },
    check: {
        border: '1px solid',
    },
    unCheck: {
        border: '1px solid #9FA9BC',
        color: 'transparent !important',
    },
});
var AppCheckBox = function (props) {
    var classes = useStyle();
    return (jsx(Checkbox, __assign({ color: "primary", checkedIcon: jsx(Check, { className: clsx(classes.icon, classes.check) }, void 0), indeterminateIcon: jsx(RemoveIcon, { className: clsx(classes.icon, classes.check) }, void 0), icon: jsx(Check, { className: clsx(classes.icon, classes.unCheck) }, void 0) }, props), void 0));
};

export default AppCheckBox;
//# sourceMappingURL=AppCheckBox.js.map
