import { _ as __assign } from '../tslib.es6-a941f97f.js';
import { jsx, jsxs } from 'react/jsx-runtime';
import { r as reactTable } from '../index-1c6562bc.js';
import MaUTable from '@material-ui/core/Table';
import { TableHead, TableRow, TableCell, TableBody } from '@material-ui/core';
import { s as styles } from '../EnhancedTable.module-3f17e3a7.js';
import { c as clsx } from '../clsx.m-6243b874.js';
import KeyboardArrowDownIcon from '@material-ui/icons/KeyboardArrowDown';
import KeyboardArrowRight from '@material-ui/icons/KeyboardArrowRight';
import '../_commonjsHelpers-318dc0aa.js';
import 'react';
import '../style-inject.es-1f59c1d0.js';

var AggressionTable = function (props) {
    var columns = props.columns, data = props.data;
    var _a = reactTable.useTable({
        columns: columns,
        data: data,
        autoResetExpanded: false,
        initialState: {
            groupBy: [props.defaultGroupBy || ''],
        },
    }, reactTable.useGroupBy, reactTable.useExpanded), getTableProps = _a.getTableProps, getTableBodyProps = _a.getTableBodyProps, headerGroups = _a.headerGroups, rows = _a.rows, prepareRow = _a.prepareRow;
    return (jsx("div", __assign({ className: clsx(styles.tableBodyScroll, styles.groupBy) }, { children: jsxs(MaUTable, __assign({}, getTableProps(), { children: [jsx(TableHead, { children: headerGroups.map(function (headerGroup, index) { return (jsx(TableRow, __assign({}, headerGroup.getHeaderGroupProps(), { children: headerGroup.headers.map(function (column, index) {
                            return (jsx(TableCell, __assign({}, column.getHeaderProps(), { children: jsx("span", __assign({ className: styles.headerCell }, { children: jsx("span", { children: column.render('Header') }, void 0) }), void 0) }), void 0));
                        }) }), void 0)); }) }, void 0),
                jsx(TableBody, __assign({}, getTableBodyProps(), { children: rows.map(function (row, i) {
                        prepareRow(row);
                        return (jsx(TableRow, __assign({}, row.getRowProps(), { className: clsx(row.isSelected && styles.selected) }, { children: row.cells.map(function (cell) {
                                return (jsx(TableCell, __assign({}, cell.getCellProps(), { children: cell.isGrouped ? (jsxs("span", __assign({ className: styles.headerCell }, { children: [jsx("span", __assign({ className: "dflex-center" }, row.getToggleRowExpandedProps(), { children: row.isExpanded ? (jsx(KeyboardArrowDownIcon, {}, void 0)) : (jsx(KeyboardArrowRight, {}, void 0)) }), void 0), ' ', jsx("span", { children: cell.render('Cell') }, void 0)] }), void 0)) : cell.isAggregated ? (cell.render('Aggregated')) : cell.isPlaceholder ? null : (cell.render('Cell')) }), void 0));
                            }) }), void 0));
                    }) }), void 0)] }), void 0) }), void 0));
};

export default AggressionTable;
//# sourceMappingURL=AggressionTable.js.map
