import { jsx } from 'react/jsx-runtime';
import { FormControlLabel } from '@material-ui/core';
import AppCheckBox from '../../Checkbox/AppCheckBox.js';
import '../../tslib.es6-a941f97f.js';
import '@material-ui/icons/Check';
import '@material-ui/icons/Remove';
import '@material-ui/core/styles';
import '../../clsx.m-6243b874.js';

function CheckBoxColumnFilter(props) {
    var _a = props.value, value = _a === void 0 ? 1 : _a;
    var _b = props.column, filterValue = _b.filterValue, setFilter = _b.setFilter, Header = _b.Header, id = _b.id;
    var handleChange = function (event) {
        setFilter(event.currentTarget.checked ? value : undefined);
    };
    return (jsx(FormControlLabel, { control: jsx(AppCheckBox, { checked: filterValue !== undefined, onChange: handleChange }, void 0), label: props.title || Header || id }, void 0));
}

export default CheckBoxColumnFilter;
//# sourceMappingURL=CheckBoxColumnFilter.js.map
