import { d as __spreadArray, _ as __assign } from '../tslib.es6-a941f97f.js';
import { jsx, jsxs } from 'react/jsx-runtime';
import React from 'react';
import { r as reactTable } from '../index-1c6562bc.js';
import MaUTable from '@material-ui/core/Table';
import { TableHead, TableRow, TableCell, TableBody } from '@material-ui/core';
import { s as styles } from '../EnhancedTable.module-3f17e3a7.js';
import { c as clsx } from '../clsx.m-6243b874.js';
import selectionHook from './plugins/selectionHook.js';
import '../_commonjsHelpers-318dc0aa.js';
import '../style-inject.es-1f59c1d0.js';
import '../Checkbox/AppCheckBox.js';
import '@material-ui/icons/Check';
import '@material-ui/icons/Remove';
import '@material-ui/core/styles';
import '../constants-cdb4cae7.js';

var SimpleLocalTable = function (props) {
    var columns = props.columns, data = props.data;
    var _a = reactTable.useTable.apply(void 0, __spreadArray([{
            columns: columns,
            data: data,
        }, reactTable.useFilters,
        reactTable.useSortBy], (props.useSelection ? [reactTable.useRowSelect, selectionHook] : []))), getTableProps = _a.getTableProps, getTableBodyProps = _a.getTableBodyProps, headerGroups = _a.headerGroups, rows = _a.rows, prepareRow = _a.prepareRow;
    return (jsx("div", __assign({ className: styles.tableBodyScroll }, { children: jsxs(MaUTable, __assign({}, getTableProps(), { children: [jsx(TableHead, { children: headerGroups.map(function (headerGroup, index) { return (jsx(TableRow, __assign({}, headerGroup.getHeaderGroupProps(), { children: headerGroup.headers.map(function (column, index) {
                            return (jsx(TableCell, __assign({}, column.getHeaderProps(column.getSortByToggleProps()), { children: jsxs("span", __assign({ className: styles.headerCell }, { children: [jsx("span", { children: column.render('Header') }, void 0),
                                        column.canSort && (jsx("span", __assign({ className: styles.sortColumn }, { children: column.isSorted ? (column.isSortedDesc ? (jsx("span", { className: styles.down }, void 0)) : (jsx("span", { className: styles.up }, void 0))) : (jsxs(React.Fragment, { children: [jsx("span", { className: styles.up }, void 0),
                                                    jsx("span", { className: styles.down }, void 0)] }, void 0)) }), void 0))] }), void 0) }), void 0));
                        }) }), void 0)); }) }, void 0),
                jsx(TableBody, __assign({}, getTableBodyProps(), { children: rows.map(function (row, i) {
                        prepareRow(row);
                        return (jsx(TableRow, __assign({}, row.getRowProps(), { className: clsx(row.isSelected && styles.selected) }, { children: row.cells.map(function (cell) {
                                return (jsx(TableCell, __assign({}, cell.getCellProps(), { children: cell.render('Cell') }), void 0));
                            }) }), void 0));
                    }) }), void 0)] }), void 0) }), void 0));
};

export default SimpleLocalTable;
//# sourceMappingURL=SimpleLocalTable.js.map
