import { _ as __assign } from '../../tslib.es6-a941f97f.js';
import { jsxs, jsx } from 'react/jsx-runtime';
import React, { useState, Fragment } from 'react';
import { s as styles } from '../../EnhancedTable.module-3f17e3a7.js';
import { Popover } from '@material-ui/core';
import AppActionIcon from '@material-ui/icons/DoneAll';
import { TableActionMenuProvider } from './TableActionMenuContext.js';
import { c as clsx } from '../../clsx.m-6243b874.js';
import '../../style-inject.es-1f59c1d0.js';

var TableActionBtn = function (props) {
    var _a = React.useState(null), anchorEl = _a[0], setAnchorEl = _a[1];
    var _b = useState(false), hidden = _b[0], setHidden = _b[1];
    var handleClick = function (event) {
        setAnchorEl(event.currentTarget);
        setHidden(false);
    };
    var handleHidden = function () {
        setHidden(true);
    };
    var handleClose = function () {
        setAnchorEl(null);
    };
    var open = Boolean(anchorEl);
    return (jsxs(Fragment, { children: [jsxs("span", __assign({ className: styles.action, onClick: handleClick }, { children: [jsx(AppActionIcon, { className: styles.iconAction }, void 0),
                    jsx("span", { children: "ACTIONS" }, void 0)] }), void 0),
            jsx(Popover, __assign({ className: clsx(hidden && 'hidden'), open: open, anchorEl: anchorEl, onClose: handleClose, anchorOrigin: {
                    vertical: 'bottom',
                    horizontal: 'left',
                }, transformOrigin: {
                    vertical: 'top',
                    horizontal: 'left',
                } }, { children: jsx("div", { children: jsx(TableActionMenuProvider, __assign({ value: {
                            handleClose: handleHidden,
                            close: open,
                        } }, { children: props.children }), void 0) }, void 0) }), void 0)] }, void 0));
};

export default TableActionBtn;
//# sourceMappingURL=TableActionBtn.js.map
