import { _ as __assign } from '../../tslib.es6-a941f97f.js';
import { jsx } from 'react/jsx-runtime';
import { s as styles } from '../../EnhancedTable.module-3f17e3a7.js';
import { Tooltip } from '@material-ui/core';
import { c as clsx } from '../../clsx.m-6243b874.js';
import useCloseActionMenu from './useCloseActionMenu.js';
import { M as MenuItem } from '../../connectMenu-dd4dca1c.js';
import '../../index-ae06fe64.js';
import '../../style-inject.es-1f59c1d0.js';
import 'react';
import './TableActionMenuContext.js';
import '../../_commonjsHelpers-318dc0aa.js';

var TableActionItem = function (props) {
    var _a;
    var closeActionMenu = useCloseActionMenu();
    function render() {
        return (jsx("div", __assign({ onClick: closeActionMenu, className: clsx(!props.noWrapper && styles.tab) }, { children: props.children }), void 0));
    }
    return (jsx(MenuItem, __assign({ className: "no-focus" }, { children: props.disabled ? (jsx(Tooltip, __assign({ className: styles.disableTab, onClickCapture: function (event) {
                event.preventDefault();
                event.stopPropagation();
                return;
            }, title: (_a = props.title) !== null && _a !== void 0 ? _a : 'Please select some items in table' }, { children: render() }), void 0)) : (render()) }), void 0));
};

export default TableActionItem;
//# sourceMappingURL=TableActionItem.js.map
