import React, { FunctionComponent } from 'react';
import { TableInstance } from 'react-table';
import { SortableContainerProps, SortableElementProps } from 'react-sortable-hoc';
export declare const DraggableContainer: React.ComponentClass<{
    children: React.ReactElement;
} & SortableContainerProps, any>;
export declare const DraggableElement: React.ComponentClass<{
    children: React.ReactElement;
} & SortableElementProps, any>;
declare type Props = {
    instance: TableInstance<any>;
    stableColumns: string[];
};
declare const TableHeader: FunctionComponent<Props>;
export default TableHeader;
