import { d as __spreadArray, _ as __assign } from '../../tslib.es6-a941f97f.js';
import { jsx } from 'react/jsx-runtime';
import KeyboardArrowDownIcon from '@material-ui/icons/KeyboardArrowDown';
import KeyboardArrowRight from '@material-ui/icons/KeyboardArrowRight';
import { s as styles } from '../../EnhancedTable.module-3f17e3a7.js';
import '../../style-inject.es-1f59c1d0.js';

var aggressionHook = (function (hooks) {
    hooks.allColumns.unshift(function (columns) { return __spreadArray([
        {
            id: '_aggression',
            disableResizing: true,
            disableGroupBy: true,
            minWidth: 45,
            width: 45,
            maxWidth: 45,
            Cell: function (_a) {
                var row = _a.row;
                return (jsx("div", { children: row.isGrouped && (jsx("span", __assign({ className: styles.headerCell }, { children: jsx("span", __assign({ className: "dflex-center" }, row.getToggleRowExpandedProps(), { children: row.isExpanded ? (jsx(KeyboardArrowDownIcon, {}, void 0)) : (jsx(KeyboardArrowRight, {}, void 0)) }), void 0) }), void 0)) }, void 0));
            },
            disableSortBy: true,
        }
    ], columns); });
    hooks.useInstanceBeforeDimensions.push(function (_a) {
        var headerGroups = _a.headerGroups;
        var selectionGroupHeader = headerGroups[0].headers[0];
        selectionGroupHeader.canResize = false;
    });
});

export default aggressionHook;
//# sourceMappingURL=aggressionHook.js.map
