import { d as __spreadArray, _ as __assign } from '../../tslib.es6-a941f97f.js';
import { jsx } from 'react/jsx-runtime';
import AppCheckBox from '../../Checkbox/AppCheckBox.js';
import { S as SELECTION_COLUMN_ID } from '../../constants-cdb4cae7.js';
import '@material-ui/icons/Check';
import '@material-ui/core';
import '@material-ui/icons/Remove';
import '@material-ui/core/styles';
import '../../clsx.m-6243b874.js';

var selectionHook = (function (hooks) {
    hooks.allColumns.push(function (columns) { return __spreadArray([
        {
            id: SELECTION_COLUMN_ID,
            disableResizing: true,
            disableGroupBy: true,
            minWidth: 48,
            width: 48,
            maxWidth: 48,
            sticky: 'left',
            isStable: true,
            Header: function (_a) {
                var getToggleAllRowsSelectedProps = _a.getToggleAllRowsSelectedProps;
                return (jsx(AppCheckBox, __assign({ className: "p-14", tabIndex: -1 }, getToggleAllRowsSelectedProps()), void 0));
            },
            Cell: function (_a) {
                var row = _a.row;
                return (jsx(AppCheckBox, { className: "p-14", tabIndex: -1, checked: row.isSelected, onChange: function (event) {
                        row.toggleRowSelected(event.target.checked);
                    } }, void 0));
            },
            disableSortBy: true,
        }
    ], columns); });
});

export default selectionHook;
//# sourceMappingURL=selectionHook.js.map
