import { _ as __assign } from '../tslib.es6-a941f97f.js';
import { jsxs, jsx } from 'react/jsx-runtime';
import { FormControl, RadioGroup, Typography, FormHelperText } from '@material-ui/core';
import FormControlLabel from '@material-ui/core/FormControlLabel';
import Radio from '@material-ui/core/Radio';
import { a as useFormikContext } from '../formik.esm-4665f351.js';
import { l as lodash } from '../lodash-5bd42e57.js';
import 'react';
import '../hoist-non-react-statics.cjs-01a5a501.js';
import '../_commonjsHelpers-318dc0aa.js';

var AppFormRadio = function (props) {
    var name = props.name, options = props.options, radioGroup = props.radioGroup;
    var validation = useFormikContext();
    var errors = validation.errors, touched = validation.touched;
    return (jsxs(FormControl, __assign({ error: !!lodash.get(errors, name) && !!lodash.get(touched, name) }, { children: [jsx(RadioGroup, __assign({ row: true, defaultValue: "top" }, radioGroup, { children: options.map(function (option, index) { return (jsx(FormControlLabel, { id: name, value: option.value, name: name, control: jsx(Radio, { color: "primary", checked: validation.values[name] === option.value, onClick: function () { return validation.setFieldValue(name, option.value); } }, void 0), label: jsx(Typography, __assign({ variant: "body1" }, { children: option.label }), void 0) }, index)); }) }), void 0),
            jsx(FormHelperText, { children: lodash.get(errors, name) && lodash.get(touched, name) && lodash.get(errors, name) }, void 0)] }), void 0));
};

export default AppFormRadio;
//# sourceMappingURL=AppFormRadio.js.map
