import { c as __rest, _ as __assign } from '../tslib.es6-a941f97f.js';
import { jsx } from 'react/jsx-runtime';
import { a as useFormikContext } from '../formik.esm-4665f351.js';
import AppSelectField from './AppSelectField.js';
import { g as get_1 } from '../get-45a0ceab.js';
import 'react';
import '../hoist-non-react-statics.cjs-01a5a501.js';
import '../_commonjsHelpers-318dc0aa.js';
import '@material-ui/core';
import './AppTextField.js';
import '../style-inject.es-1f59c1d0.js';
import '../_MapCache-42897023.js';

var AppValidateSelect = function (props) {
    var _a = useFormikContext(), values = _a.values, setFieldValue = _a.setFieldValue, status = _a.status, errors = _a.errors, touched = _a.touched;
    var name = props.name, label = props.label, options = props.options, valueKey = props.valueKey, labelKey = props.labelKey, textProps = __rest(props, ["name", "label", "options", "valueKey", "labelKey"]);
    var error = get_1(touched, name)
        ? get_1(status, name) || get_1(errors, name)
        : '';
    var filterValue = get_1(values, name);
    function setFilter(value) {
        setFieldValue(name, value || '');
    }
    return (jsx(AppSelectField, __assign({ label: label, error: !!error, valueKey: valueKey, labelKey: labelKey, filterValue: filterValue, setFilter: setFilter, options: options, helperText: error }, textProps), void 0));
};

export default AppValidateSelect;
//# sourceMappingURL=AppValidateSelect.js.map
