import React from 'react';
import { TextFieldProps, AutocompleteProps } from '@material-ui/core';
declare type TOptions = Record<string, any>;
export declare type TAutoCompleteProps<T> = {
    isRequired?: boolean;
    options: TOptions[];
    value?: TOptions | undefined;
    labelKey?: string;
    valueKey?: string;
    textField?: TextFieldProps;
} & Partial<AutocompleteProps<T & TOptions, boolean, boolean, boolean>>;
declare const AppAutocomplete: <T>(p: TAutoCompleteProps<T>) => React.ReactElement<TAutoCompleteProps<T>>;
export default AppAutocomplete;
