import { c as __rest, _ as __assign } from '../tslib.es6-a941f97f.js';
import { jsx } from 'react/jsx-runtime';
import AppAutocomplete from './AppAutocomplete.js';
import { a as useFormikContext } from '../formik.esm-4665f351.js';
import { g as get_1 } from '../get-45a0ceab.js';
import '../TextField/AppTextField.js';
import '@material-ui/core';
import '../style-inject.es-1f59c1d0.js';
import '../_commonjsHelpers-318dc0aa.js';
import 'react';
import '../hoist-non-react-statics.cjs-01a5a501.js';
import '../_MapCache-42897023.js';

var AppValidateAutocomplete = function (props) {
    var options = props.options, name = props.name, textField = props.textField, _a = props.valueKey, valueKey = _a === void 0 ? 'id' : _a, autoProps = __rest(props, ["options", "name", "textField", "valueKey"]);
    var _b = useFormikContext(), setFieldValue = _b.setFieldValue, touched = _b.touched, values = _b.values, errors = _b.errors, setFieldTouched = _b.setFieldTouched;
    return (jsx(AppAutocomplete, __assign({ options: options, value: options.find(function (item) { return item[valueKey] === get_1(values, name); }), onChange: function (props, event, newValue) {
            if (typeof newValue === 'object' && !Array.isArray(newValue)) {
                setFieldValue(name, (newValue === null || newValue === void 0 ? void 0 : newValue[valueKey]) || '');
            }
        }, textField: __assign({ helperText: get_1(touched, name) && get_1(errors, name), error: !!get_1(touched, name) && !!get_1(errors, name), onBlur: function () {
                setFieldTouched(name, true);
            } }, textField) }, autoProps), void 0));
};

export default AppValidateAutocomplete;
//# sourceMappingURL=AppValidateAutocomplete.js.map
