import { useContext, createContext } from 'react';

/**
 * @ignore - internal component.
 */

const FormControlContext = /*#__PURE__*/createContext();

if (process.env.NODE_ENV !== 'production') {
  FormControlContext.displayName = 'FormControlContext';
}

function useFormControl() {
  return useContext(FormControlContext);
}

export { FormControlContext as F, useFormControl as u };
//# sourceMappingURL=FormControlContext-3e99c910.js.map
