import { p as propTypes, _ as _extends } from './index-c883ae0c.js';
import { createElement } from 'react';
import { g as defaultTheme } from './emotion-element-547f2a0a.esm-f471089a.js';
import { G as Global } from './emotion-react.esm-c2b93f7c.js';

function isEmpty(obj) {
  return obj === undefined || obj === null || Object.keys(obj).length === 0;
}

function GlobalStyles$1(props) {
  const {
    styles,
    defaultTheme = {}
  } = props;
  const globalStyles = typeof styles === 'function' ? themeInput => styles(isEmpty(themeInput) ? defaultTheme : themeInput) : styles;
  return /*#__PURE__*/createElement(Global, {
    styles: globalStyles
  });
}
process.env.NODE_ENV !== "production" ? GlobalStyles$1.propTypes = {
  defaultTheme: propTypes.object,
  styles: propTypes.oneOfType([propTypes.string, propTypes.object, propTypes.func])
} : void 0;

/**
 * @ignore - do not document.
 */

function GlobalStyles(props) {
  return /*#__PURE__*/createElement(GlobalStyles$1, _extends({}, props, {
    defaultTheme: defaultTheme
  }));
}
process.env.NODE_ENV !== "production" ? GlobalStyles.propTypes = {
  styles: propTypes.oneOfType([propTypes.string, propTypes.object, propTypes.func])
} : void 0;

export { GlobalStyles as G };
//# sourceMappingURL=GlobalStyles-a4d0ccc4.js.map
