import { jsx } from 'react/jsx-runtime';
import { memo } from 'react';
import { useDispatch } from 'react-redux';
import GreenSwitch from '../../Switch/GreenSwitch.js';
import '@material-ui/core/styles';
import '@material-ui/core';

var ToggleEditableCell = function (props) {
    var dispatch = useDispatch();
    var status = props.status, id = props.id, api = props.api, fieldKey = props.fieldKey;
    var toggle = function () {
        var _a;
        dispatch(api((_a = {
                id: id
            },
            _a[fieldKey] = !status,
            _a)));
    };
    return (jsx(GreenSwitch, { checked: !!status, onChange: toggle, size: "small", color: "primary" }, void 0));
};
var ToggleEditableCell$1 = memo(ToggleEditableCell);

export default ToggleEditableCell$1;
//# sourceMappingURL=ToggleEditableCell.js.map
