import { jsx } from 'react/jsx-runtime';
import { useState, useEffect } from 'react';
import AppAsyncPaginateSelect from '../../Autocomplete/AppAsyncPaginateSelect.js';
import '../../tslib.es6-a941f97f.js';
import '../../slicedToArray-cde334b7.js';
import '../../hoist-non-react-statics.cjs-01a5a501.js';
import '../../_commonjsHelpers-318dc0aa.js';
import '../../index-ae06fe64.js';
import 'react-dom';
import '@material-ui/core';
import '@material-ui/icons/ArrowDropDown';
import '@material-ui/icons/ArrowDropUp';
import '@material-ui/icons/Clear';
import '../../config-2233d325.js';

function AsyncAutoColumnFilter(props) {
    var column = props.column, fetchDataFn = props.fetchDataFn, title = props.title, _a = props.valueKey, valueKey = _a === void 0 ? 'id' : _a, _b = props.labelKey, labelKey = _b === void 0 ? 'name' : _b, getDefaultOptionFn = props.getDefaultOptionFn;
    var label = title || column.Header || column.id || '';
    var filterValue = column.filterValue, setFilter = column.setFilter;
    var _c = useState(null), value = _c[0], setValue = _c[1];
    useEffect(function () {
        if (!filterValue) {
            setValue(null);
        }
    }, [filterValue]);
    useEffect(function () {
        if (filterValue) {
            getDefaultOptionFn(filterValue).then(function (data) {
                var _a;
                var _b;
                var newVar = ((_b = data) === null || _b === void 0 ? void 0 : _b[labelKey]) || '';
                setValue((_a = {},
                    _a[valueKey] = filterValue,
                    _a[labelKey] = newVar,
                    _a));
            });
        }
    }, []);
    return (jsx(AppAsyncPaginateSelect, { className: 'text-4', fetchDataFn: fetchDataFn, value: value, setValue: function (option) {
            setFilter((option === null || option === void 0 ? void 0 : option[valueKey]) || undefined);
            setValue(option);
        }, valueKey: valueKey, labelKey: labelKey, label: label, placeholder: 'ALL' }, void 0));
}

export default AsyncAutoColumnFilter;
//# sourceMappingURL=AsyncAutoColumnFilter.js.map
