import { jsx } from 'react/jsx-runtime';
import AppAutocomplete from '../../Autocomplete/AppAutocomplete.js';
import '../../tslib.es6-a941f97f.js';
import '../../TextField/AppTextField.js';
import '@material-ui/core';
import '../../style-inject.es-1f59c1d0.js';
import '../../_commonjsHelpers-318dc0aa.js';

function SelectColumnAutoFilter(_a) {
    var column = _a.column, options = _a.options, title = _a.title, _b = _a.valueKey, valueKey = _b === void 0 ? 'id' : _b, _c = _a.labelKey, labelKey = _c === void 0 ? 'name' : _c;
    var filterValue = column.filterValue, setFilter = column.setFilter, Header = column.Header, id = column.id;
    var label = title || Header || id;
    var currentValue = options.find(function (option) { return option[valueKey] === filterValue; });
    return (jsx(AppAutocomplete, { options: options, value: currentValue, onChange: function (event, newValue) {
            if (typeof newValue === 'object' && !Array.isArray(newValue)) {
                setFilter((newValue === null || newValue === void 0 ? void 0 : newValue[valueKey]) || undefined);
            }
        }, labelKey: labelKey, textField: {
            variant: 'standard',
            label: label,
            InputLabelProps: { shrink: true },
            placeholder: 'ALL',
        } }, void 0));
}

export default SelectColumnAutoFilter;
//# sourceMappingURL=SelectColumnAutoFilter.js.map
