import { c as __rest, _ as __assign } from '../../tslib.es6-a941f97f.js';
import { jsx } from 'react/jsx-runtime';
import AppSelectField from '../../TextField/AppSelectField.js';
import { InputAdornment, IconButton } from '@material-ui/core';
import ClearIcon from '@material-ui/icons/Clear';
import { s as styleInject } from '../../style-inject.es-1f59c1d0.js';
import { c as clsx } from '../../clsx.m-6243b874.js';
import 'react';
import '../../TextField/AppTextField.js';

var css_248z = ".SelectColumnFilter-module_inputBase__2skh1 .SelectColumnFilter-module_inputAdorned__3t2Qp {\n  display: none;\n  position: absolute;\n  right: 25px; }\n  .SelectColumnFilter-module_inputBase__2skh1 .SelectColumnFilter-module_inputAdorned__3t2Qp .SelectColumnFilter-module_inputIcon__3PZYs {\n    padding: 3px;\n    width: 24px;\n    height: 24px; }\n  .SelectColumnFilter-module_inputBase__2skh1 .SelectColumnFilter-module_inputAdorned__3t2Qp svg {\n    font-size: 18px; }\n\n.SelectColumnFilter-module_inputBase__2skh1:hover .SelectColumnFilter-module_inputAdorned__3t2Qp {\n  display: flex; }\n\n.SelectColumnFilter-module_inputBase__2skh1 .Mui-focused .inputAdorned {\n  display: flex; }\n";
var styles = {"inputBase":"SelectColumnFilter-module_inputBase__2skh1","inputAdorned":"SelectColumnFilter-module_inputAdorned__3t2Qp","inputIcon":"SelectColumnFilter-module_inputIcon__3PZYs"};
styleInject(css_248z);

function SelectColumnFilter(props) {
    var column = props.column, title = props.title, options = props.options, otherProps = __rest(props, ["column", "title", "options"]);
    var filterValue = column.filterValue, setFilter = column.setFilter, Header = column.Header, id = column.id;
    return (jsx(AppSelectField, __assign({ filterValue: filterValue, setFilter: setFilter, options: options, placeholder: 'ALL', label: title || Header || id, classes: {
            root: styles.inputBase,
        }, InputProps: {
            endAdornment: filterValue && (jsx(InputAdornment, __assign({ className: clsx(styles.inputAdorned), position: "end" }, { children: jsx(IconButton, __assign({ className: styles.inputIcon, onClick: function () { return setFilter(undefined); }, title: 'Clear', tabIndex: -1 }, { children: jsx(ClearIcon, {}, void 0) }), void 0) }), void 0)),
        } }, otherProps), void 0));
}

export default SelectColumnFilter;
//# sourceMappingURL=SelectColumnFilter.js.map
