import { _ as __assign } from '../../tslib.es6-a941f97f.js';
import { jsx, jsxs } from 'react/jsx-runtime';
import React, { useEffect } from 'react';
import { DatePicker } from '@material-ui/lab';
import { g as getDatabaseFormatType } from '../../moment-b7e0efe6.js';
import { s as styleInject } from '../../style-inject.es-1f59c1d0.js';
import AppTextField from '../../TextField/AppTextField.js';
import { IconButton } from '@material-ui/core';
import ClearIcon from '@material-ui/icons/Clear';
import '../../_commonjsHelpers-318dc0aa.js';

var css_248z = ".Filter-module_yearPicker__32qUB > div {\n  width: 100%; }\n\n.Filter-module_yearPicker__32qUB button {\n  padding: 0;\n  margin: 0; }\n\n.Filter-module_yearPicker__32qUB svg {\n  width: 20px; }\n\n.Filter-module_yearPicker__32qUB path {\n  color: var(--color-primary-light); }\n\n.Filter-module_buttonYearFilter__5bzNk {\n  min-width: 40px;\n  display: flex; }\n  .Filter-module_buttonYearFilter__5bzNk > div {\n    height: auto;\n    margin: 0; }\n";
var styles = {"yearPicker":"Filter-module_yearPicker__32qUB","buttonYearFilter":"Filter-module_buttonYearFilter__5bzNk"};
styleInject(css_248z);

var YearFilter = function (props) {
    var filterValue = props.filterValue, setFilter = props.setFilter;
    var yearFilterValue = filterValue === undefined
        ? null
        : getDatabaseFormatType(filterValue, 'YYYY');
    var _a = React.useState(yearFilterValue), year = _a[0], setYear = _a[1];
    function cancelTimePicker() {
        setYear(null);
        setFilter(null);
    }
    useEffect(function () {
        if (!filterValue) {
            setYear(null);
        }
    }, [filterValue]);
    return (jsx("div", __assign({ className: styles.yearPicker }, { children: jsx(DatePicker, { views: ['year'], label: "Year", value: year, onChange: function (newValueYear) {
                setYear(getDatabaseFormatType(newValueYear, 'YYYY'));
                setFilter(getDatabaseFormatType(newValueYear, 'YYYY'));
            }, renderInput: function (props) {
                var _a;
                return (jsx(AppTextField, __assign({}, props, { InputProps: __assign(__assign({}, props.InputProps), { inputProps: __assign(__assign({}, ((props === null || props === void 0 ? void 0 : props.inputProps) || {})), { placeholder: 'YYYY', disabled: true }), endAdornment: (jsxs("div", __assign({ className: styles.buttonYearFilter }, { children: [jsx(IconButton, __assign({ size: "small", onClick: function () { return cancelTimePicker(); } }, { children: jsx(ClearIcon, { color: "primary", fontSize: "small" }, void 0) }), void 0),
                                (_a = props.InputProps) === null || _a === void 0 ? void 0 : _a.endAdornment] }), void 0)) }), helperText: false }), void 0));
            } }, void 0) }), void 0));
};
var YearFilter$1 = React.memo(YearFilter);

export default YearFilter$1;
//# sourceMappingURL=YearFilter.js.map
