import { _ as __assign } from '../../tslib.es6-a941f97f.js';
import { jsx, jsxs } from 'react/jsx-runtime';
import React, { Fragment } from 'react';
import Toolbar from '@material-ui/core/Toolbar';
import { s as styles } from '../../EnhancedTable.module-3f17e3a7.js';
import ColumnDisplay from './ColumnDisplay.js';
import FilterBox from './FilterBox.js';
import { G as GlobalFilter } from '../../GlobalFilter-1efc032d.js';
import LocalGlobalFilter from './LocalGlobalFilter.js';
import '../../style-inject.es-1f59c1d0.js';
import '@material-ui/core';
import '../../clsx.m-6243b874.js';
import '@material-ui/icons/ViewColumn';
import '@material-ui/icons/ArrowDropDown';
import '../../constants-cdb4cae7.js';
import '../../isEqual-ff64fdde.js';
import '../../_MapCache-42897023.js';
import '../../_commonjsHelpers-318dc0aa.js';
import '../../_isIndex-e6cb62f4.js';
import '@material-ui/icons/FilterAlt';
import '@material-ui/core/styles';
import '@material-ui/core/InputBase';
import '@material-ui/core/IconButton';
import '@material-ui/icons/Search';
import '../../lodash-5bd42e57.js';
import 'react-router-dom';
import '../../get-45a0ceab.js';
import '../../_baseSet-5f342bb5.js';
import '../../useOnClickOutside-5fbcb3ab.js';
import '../../ResizeObserver-da68295b.js';
import '@material-ui/icons/HighlightOff';
import '@material-ui/core/Tooltip/Tooltip';

var TableToolbar = function (props) {
    var _a = props.isLocal, isLocal = _a === void 0 ? false : _a, _b = props.hasGlobalSearch, hasGlobalSearch = _b === void 0 ? true : _b, defaultHiddenColumns = props.defaultHiddenColumns;
    var selectedRowNumber = props.instance.selectedFlatRows.length;
    return (jsx(Toolbar, __assign({ className: styles.toolbar, style: { width: props.width } }, { children: jsxs(Fragment, { children: [jsxs("div", __assign({ className: styles.actionBox }, { children: [props.toolbarItems, jsx(FilterBox, { instance: props.instance, stableColumns: props.stableColumns }, void 0),
                        jsx(ColumnDisplay, { instance: props.instance, stableColumns: props.stableColumns, defaultHiddenColumns: defaultHiddenColumns }, void 0),
                        hasGlobalSearch && isLocal && (jsx(LocalGlobalFilter, { globalFilter: props.instance.state.globalFilter, setGlobalFilter: props.instance.setGlobalFilter }, void 0)),
                        hasGlobalSearch && !isLocal && jsx(GlobalFilter, {}, void 0),
                        selectedRowNumber > 0 && (jsxs("div", __assign({ className: styles.infoText }, { children: [selectedRowNumber, " Selected Rows"] }), void 0))] }), void 0), props.pagination] }, void 0) }), void 0));
};
var TableToolbar$1 = React.memo(TableToolbar);

export default TableToolbar$1;
//# sourceMappingURL=TableToolbar.js.map
