import { p as propTypes } from './index-c883ae0c.js';
import { _ as _setPrototypeOf } from './setPrototypeOf-38804714.js';

function chainPropTypes(propType1, propType2) {
  if (process.env.NODE_ENV === 'production') {
    return () => null;
  }

  return function validate(...args) {
    return propType1(...args) || propType2(...args);
  };
}

const refType = propTypes.oneOfType([propTypes.func, propTypes.object]);

function _inheritsLoose(subClass, superClass) {
  subClass.prototype = Object.create(superClass.prototype);
  subClass.prototype.constructor = subClass;
  _setPrototypeOf(subClass, superClass);
}

export { _inheritsLoose as _, chainPropTypes as c, refType as r };
//# sourceMappingURL=inheritsLoose-9a6188cc.js.map
